import { useEffect } from "react";
import { AreaRiservataLayout } from "~/components/Layout";
import { LoadingPage } from "~/components/loading";
import type { NextPageWithLayout } from "../_app";

/**
 * Pagina di caricamento dell'area riservata: /load-page
 * Reindirizza alla dashboard dopo il caricamento.
 */
const LoadPage: NextPageWithLayout = () => {
	useEffect(() => {
		window.location.replace("/area-riservata/dashboard");
	}, []);
	return <LoadingPage />;
};
export default LoadPage;

LoadPage.getLayout = function getLayout(page) {
	return <AreaRiservataLayout noSidebar>{page}</AreaRiservataLayout>;
};
